#ifndef MSP_DEMOSCENE_BEATCOUNTER_H_
#define MSP_DEMOSCENE_BEATCOUNTER_H_

#include <msp/datafile/collection.h>
#include <msp/gl/objectinstance.h>
#include <msp/gl/renderable.h>
#include <msp/gl/text.h>
#include "resources.h"
#include "action.h"

namespace Msp {
namespace DemoScene {

class BeatCounter: public Msp::GL::Renderable, public Action
{
private:
	Msp::GL::Text text;
	Msp::GL::ObjectInstance instance;

public:
	BeatCounter(Resources &);

	void set_matrix(const Msp::GL::Matrix &);

	virtual void validate() const { }
	virtual void beat(int);

	virtual void render(Msp::GL::Renderer &, const Msp::GL::Tag &) const;
};

} // namespace DemoScene
} // namespace Msp

#endif
